Subject: [Netconf] RFC 6241 Encoding Query

From: Rohit R Ranade <[email-masked]>
Date: Tue, 6 Jun 2017 15:09:40 +0000

Hi All,

RFC 6241 , 3.  XML Considerations

All NETCONF messages MUST be well-formed XML, encoded in UTF-8
   [RFC3629].  If a peer receives an <rpc> message that is not well-
   formed XML or not encoded in UTF-8, it SHOULD reply with a
   "malformed-message" error.

In RFC 4741, there was no such restriction about the encoding. I tried searching in ietf mail list about why this restriction was added but not very clear.

We have a customer who would like to use GBK encoding .  They want to use Chinese characters for configurations / query.
GBK encodes Chinese characters in 1-2 bytes, while UTF-8 may take 2,3 or 4 bytes for the same characters.

Can anyone shed some light on why such a restriction was placed in RFC 6241.

With Regards,
Rohit

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 6 Jun 2017 17:31:58 +0200

> Can anyone shed some light on why such a restriction was placed in RFC 6241.

I guess this is there because (i) there is no negotiation of character
encodings and (ii) UTF-8 is the default XML encoding (and popular
anyway). Yes, this is a slight disadvantage for users of Chinese
characters but then I am not sure how much of a disadvantage this
really is (i.e., how much of the config data is really localized
strings).

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>